> For the complete documentation index, see [llms.txt](https://docs.tutelar.io/tutelar-api-document/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tutelar.io/tutelar-api-document/kyc-verification/document-verification/india/din.md).

# DIN

Verifying the DIN document helps to ensure that the end user is a legitimate business entity and has the necessary legal documentation to carry out import/export activities. It also helps to prevent fraudulent or illegal activities, such as money laundering or terrorist financing, through the merchant's payment processing activities.

#### Submit Document

## ind\_din

<mark style="color:green;">`POST`</mark> `https://secctrl.tutelar.io/api/v1/kyc/merchant/ind_din`

### Post parameters description is given below,

<table><thead><tr><th width="218">Post Parameter </th><th width="152">Type</th><th width="174">Is  Mandatory</th><th>Description</th></tr></thead><tbody><tr><td>din_number </td><td>String </td><td>Yes </td><td>Director Identification number</td></tr></tbody></table>

#### Sample Post Parameters

```json
{
    "din_number": "09698896"
}
```

{% tabs %}
{% tab title="200: Success Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "0ee0a2f1-273b-46bc-89fc-785446bbde81",
    "status": "completed",
    "result": {
        "document_number": "09698896",
        "name_on_document": "PRABHU SHANKAR MEENAKSHI SUNDARAM",
        "address": "",
        "date_of_birth": "1983-03-28",
        "father_name": "*****KSHISUNDARAM *",
        "date_of_appointment": ""
    },
    "requested_at": "2024-04-18T13:07:53.128Z",
    "completed_at": "2024-04-18T13:07:53.780Z"
}
```

{% endtab %}

{% tab title=" 400: Validation Error Response" %}

```json
{
    "success": false,
    "code": 400,
    "message": "Invalid input. Please check your request and try again.",
    "error": {
        "message": "Invalid DIN Number",
        "field": "din_number",
        "code": "BAD_REQUEST"
    }

```

{% endtab %}

{% tab title="200: Failure Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "a1c9a0fd-14d6-4052-8762-7c66b6a86ba8",
    "status": "failed",
    "error": {
        "message": "Could not fetch director's data",
        "code": "ERROR"
    },
    "requested_at": "2024-04-18T13:10:15.067Z",
    "completed_at": "2024-04-18T13:10:17.112Z"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.tutelar.io/tutelar-api-document/kyc-verification/document-verification/india/din.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
